
QGIS Application - Feature request #5857

Make QGIS support WCS layers as valid raster input layers

2012-06-25 12:52 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: Processing/GDAL

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15322

Description

This should be possible now that we have the WCS client.

In GDAL tools the WCS layers are seen as input layer but then the tools fail to work.

I guess that this does not only affects gdal tools but as well other raster related core tools of QGIS, but for now I have only tested gdal

tools.

Related issues:

Related to QGIS Application - Bug report # 8736: Update raster analyses: acce... Closed 2013-10-01

Duplicated by QGIS Application - Bug report # 13988: WCS layer loaded but una... Closed 2015-12-15

History

#1 - 2012-06-25 12:53 AM - Giovanni Manghi

http://www.gfosservices.com/2012/03/04/wcs-con-qgis-e-gdal/

#2 - 2012-12-31 01:23 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#3 - 2014-06-12 05:18 PM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Future Release - Nice to have

- Assignee deleted (anonymous -)

#4 - 2015-12-12 07:32 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

this should be fixed with the QGIS WCS client. I've just tested it on this server: http://webmap.ornl.gov/ogcbroker/wcs and it works !

Can you confirm ?

#5 - 2015-12-12 07:38 AM - Giovanni Manghi

- Status changed from Feedback to Open

Médéric RIBREUX wrote:
http://webmap.ornl.gov/ogcbroker/wcs


Hello, bug triage...

this should be fixed with the QGIS WCS client. I've just tested it on this server: http://webmap.ornl.gov/ogcbroker/wcs and it works !

Can you confirm ?

Hi, the WCS client works, is ok.

The request here is about another thing: once you have added a WCS layer to a project then make the tools that use raster layers as input also show the

WCS as possible input. This is not the case in QGIS, at least until the last time I checked this request. cheers!

#6 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#7 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
